/*
 * Sonar, entreprise quality control tool.
 * Copyright (C) 2007-2008 Hortis-GRC SA
 * mailto:be_agile HAT hortis DOT ch
 *
 * Sonar is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * Sonar is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Sonar; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02
 */
package org.sonar.plugins.clover;

import org.apache.commons.configuration.Configuration;
import org.apache.maven.plugin.logging.Log;

public class Clover2MavenPluginHandler extends AbstractCloverMavenPluginHandler {

  public static final String GROUP_ID = "com.atlassian.maven.plugins";
  public static final String ARTIFACT_ID = "maven-clover2-plugin";
  public static final String VERSION = "2.3.2";

  public Clover2MavenPluginHandler(Configuration configuration, Log log) {
    super(configuration, log);
  }

  public String getGroupId() {
    return GROUP_ID;
  }

  public String getArtifactId() {
    return ARTIFACT_ID;
  }

  public String getVersion() {
    return VERSION;
  }

  protected String getPropKeyLicense() {
    return CloverPlugin.PROP_KEY_LICENSE_2;
  }

  protected int getCloverMajorVersion() {
    return 2;
  }
}